package com.zfire.jiasm.syncdata.constant;

import lombok.Getter;

/**
 * 同步上传记录表
 * @author yaozx
 * @version 1.0
 * @date 2023-06-01
 */
@Getter
public enum UploadTableEnum {
    AZ_ASSIGN_APPOINTMENT_UPLOAD("itf_tbl_az_assign_appointment_upload","用户预约改约"),
    AZ_WGMX_JYKT_FJ_UPLOAD("itf_tbl_az_wgmx_jykt_fj_upload","家用空调数据采集附件"),
    AZ_WGMX_SYKT_FJ_UPLOAD("itf_tbl_az_wgmx_sykt_fj_upload","商用空调数据采集附件"),
    AZ_WGMX_QITA_FJ_UPLOAD("itf_tbl_az_wgmx_qita_fj_upload","其他数据采集附件"),
    AZ_WGMX_JYKT_TMMX_UPLOAD("itf_tbl_az_wgmx_jykt_tmmx_upload","家用空调条码明细"),
    AZ_WGMX_SYKT_TMMX_LS_UPLOAD("itf_tbl_az_wgmx_sykt_tmmx_ls_upload","商用完工明细数据采集条码明细"),
    AZ_WGMX_QITA_TMMX_UPLOAD("itf_tbl_az_wgmx_qita_tmmx_upload","其他完工明细数据采集条码明细"),
    AZ_ASSIGN_FKMX_UPLOAD("itf_tbl_az_assign_fkmx_upload","安装反馈明细"),
    AZ_ASSIGN_FEE_UPLOAD("itf_tbl_az_assign_fee_upload","空调安装费用清单"),
    AZ_ASSIGN_LC_LS_UPLOAD("itf_tbl_az_assign_lc_ls_upload","安装主表"),
    AZ_WGMX_QITA_UPLOAD("itf_tbl_az_wgmx_qita_upload","完工明细(其他)"),
    AZ_WGMX_JYKT_UPLOAD("itf_tbl_az_wgmx_jykt_upload","完工明细(家用空调)"),
    AZ_WGMX_SYKT_UPLOAD("itf_tbl_az_wgmx_sykt_upload","完工明细(商用空调)"),
    AZ_ASSIGN_MX_UPLOAD("itf_tbl_az_assign_mx_upload","安装工单明细"),
    WXJS_PJMX_JYKT_UPLOAD("itf_tbl_wxjs_pjmx_jykt_upload","配件表"),
    WXJS_WXXM_JYKT_UPLOAD("itf_tbl_wxjs_wxxm_jykt_upload","维修项目"),
    WXJS_XXYY_JYKT_UPLOAD("itf_tbl_wxjs_xxyy_jykt_upload","维修现象"),
    WXJS_FJ_JYKT_UPLOAD("itf_tbl_wxjs_fj_jykt_upload","维修附件表"),
    ASSIGN_FEE_UPLOAD("itf_tbl_assign_fee_upload","维修费用表"),
    ASSIGN_XZYD_UPLOAD("itf_tbl_assign_xzyd_upload","新增阅读记录维护表"),
    WXJS_JYKT_UPLOAD("itf_tbl_wxjs_jykt_upload","维修结算表"),
    ASSIGN_UPLOAD("itf_tbl_assign_upload","维修单表"),
    ASSIGN_MX_UPLOAD("itf_tbl_assign_mx_upload","维修单明细"),
    ASSIGN_APPOINTMENT_UPLOAD("itf_tbl_assign_appointment_upload","维修单预约改约信息"),
    ASSIGN_FKMX_UPLOAD("itf_tbl_assign_fkmx_upload","维修工单反馈信息"),
    AZ_ASSIGN_XZYD_UPLOAD("itf_tbl_az_assign_xzyd_upload","新增安装阅读记录维护表"),



    ;




    /**
     * 编码
     */
    private final String code;


    private final String text;

    UploadTableEnum(String code, String text) {
        this.code = code;
        this.text = text;
    }

    public static UploadTableEnum getByCode(String code) {
        for (UploadTableEnum item : values()) {
            if (code.equals(item.getCode())) {
                return item;
            }
        }
        return null;
    }


    public static String getMessageByCode(String code) {
        String result = null;
        for (UploadTableEnum item : values()) {
            if (code.equals(item.getCode())) {
                result = item.getText();
                break;
            }
        }
        return result;
    }
}
